IT: OTS (China) -0000 #356

Statistical data about updating order product status record during 2024/01/01 - 2024/03/11

03/12/2024 01:34 PM - Junyi Zhang

Status: oo0 Start date: 03/12/2024
Priority: aa Due date: 03/12/2024
Assignee: Junyi Zhang % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v3.0 Spent time: 0.00 hour
Description

Description

Task Details

1. Statistics from 2024/01/01 to 2024/03/11, the order retailer is Aust banners, Redblue Lake, Aust_Bestsigns and the order status

is modified by Order set => Production started ehich updated by Lake.

Input
LAKE

Output
Report and Solution

Others

History

#1 - 03/12/2024 01:34 PM - Junyi Zhang
- % Done changed from 0 to 100

#2 - 03/12/2024 01:35 PM - Junyi Zhang

SELECT
o. ca_index’,
o0.id AS order_id,
u.name AS retailer,
o.order_name,
oh.order_product_id,
pt.name AS product_type,
CASE
WHEN op.status = 10
THEN 'Sample First'
WHEN op.status = 20
THEN 'Order Set'
WHEN op.status = 30
THEN 'Production Started'
WHEN op.status = 40
THEN 'Logo Confirmed'
WHEN op.status = 50
THEN 'Production Finished'
WHEN op.status = 60
THEN 'Ready for Shipment'
WHEN op.status = 70
THEN 'Sent'
WHEN op.status = 80
THEN 'Order Finished'
END AS current_order_product_status,
FROM_UNIXTIME (
oh.update_time,
'SY-%m-%d $H:%1i:%s'
) AS order_product_update_time
FROM
t_order_product op
LEFT JOIN t_order o
ON (o.id = op.order_id)
LEFT JOIN t_order_history oh
ON (oh. order_product_id" = op.id)
LEFT JOIN t_product_type pt
ON (pt.id = op.product_type_id)
LEFT JOIN t_user u
ON (u.id = o.retailer_id)
WHERE o.retailer_id IN (33, 5, 212)
AND oh.order_product_status = 30
AND oh.update_user = 68
AND o.create_time > UNIX_TIMESTAMP ('2024-01-01")
AND o.create_time < UNIX_TIMESTAMP ('2024-03-11")

#3 - 03/12/2024 01:36 PM - Junyi Zhang
- Status changed from 0100 to0010

- Assignee set to Junyi Zhang

#4 - 03/12/2024 01:37 PM - Junyi Zhang

- Description updated

#5 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0
